=== kmymoney/pics/CMakeLists.txt ===
add_subdirectory( l10n )
install(FILES  startlogo.png  titlelabel_background.png
  DESTINATION ${DATA_INSTALL_DIR}/kmymoney/pics/
)
