=== kmymoney/converter/tests/CMakeLists.txt ===
include(ECMAddTests)

file(GLOB tests_sources "*-test.cpp")
ecm_add_tests(${tests_sources}
  LINK_LIBRARIES
    Qt5::Core
    Qt5::Test
    reports_testcommon
    converter
)
