=== debian/changelog ===
kmymoney (5.0.1-2) experimental; urgency=medium

  * Team upload.
  * Switch the libical2-dev build dependency back to libical-dev, as the KF5
    kcalcore switched to libical3.

 -- Pino Toscano <pino@debian.org>  Sun, 01 Apr 2018 09:21:06 +0200

kmymoney (5.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - installs the action icons in a local path again (Closes: #891007)
  * Update the build dependencies:
    - remove kross-dev, no more used
    - add python-dev, and python-weboob, used by the new version of the weboob
      plugin
  * Update the patches:
    - upstream_cmake-set-SONAME-also-for-kmm_icons-and-kmm_csvimpor.patch:
      drop, backported from upstream
  * Update install files.
  * Switch the krosspython recommend to python-weboob, as it is what the weboob
    plugin uses.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Mar 2018 07:01:31 +0100

kmymoney (5.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - switches from Qt4 to Frameworks (Closes: #874961)
    - integrates with KDEPIM 5.x (Closes: #823215)
    - there is no more --lang command line option (Closes: #598634, #598636)
  * Update the patches:
    - qreal.diff: drop, obsolete
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev, kdepimlibs5-dev, libgwengui-qt4-dev, and
      libalkimia-dev
    - add extra-cmake-modules, qtbase5-dev, qtdeclarative5-dev, libqt5svg5-dev,
      libkf5activities-dev, libkf5akonadi-dev, libkf5archive-dev,
      libkf5completion-dev, libkf5config-dev, libkf5configwidgets-dev,
      libkf5contacts-dev, libkf5coreaddons-dev, libkf5doctools-dev,
      libkf5holidays-dev, libkf5i18n-dev, libkf5iconthemes-dev,
      libkf5identitymanagement-dev, libkf5itemmodels-dev, libkf5itemviews-dev,
      libkchart-dev, libkf5kcmutils-dev, libkf5kio-dev, kross-dev,
      libkf5notifications-dev, libkf5service-dev, libkf5textwidgets-dev,
      libkf5wallet-dev, libkf5webkit-dev, libkf5xmlgui-dev,
      libgwengui-qt5-dev, and libalkimia5-dev
  * Update the rest of the build dependencies:
    - switch libgpgme11-dev to libgpgmepp-dev
    - add libgpg-error-dev, and libgpgme-dev to workaround missing dependencies
      in libgpgmepp-dev
    - remove libboost-graph-dev, and shared-mime-info, as they are not used
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Switch the -DKDE4_BUILD_TESTS=OFF cmake parameter to -DBUILD_TESTING=OFF,
    as it is what ECM provides.
  * Stop moving manually the appdata file, as it is installed in the right
    place now.
  * Update install files.
  * Update lintian overrides.
  * Stop removing man-*.docbook files, since they are not installed anymore.
  * Remove get-orig-source target from rules, as it is obsolete.
  * Recommend krosspython for the weboob plugin. (Closes: #865885)
  * Remove old stuff from watch file.
  * Backport upstream commit 16eb1fea93db913ec0a2cd8d825366473733a290 to set
    the SONAME for the kmm_icons, and kmm_csvimportercore libraries; patch
    upstream_cmake-set-SONAME-also-for-kmm_icons-and-kmm_csvimpor.patch.
  * Bump the debhelper compatibility to 11:
    - bump compat to 11
    - bump the debhelper build dependency to 11
    - remove --parallel to dh
  * Add the kcalc suggest, as kmymoney can invoke it as additional tool.

 -- Pino Toscano <pino@debian.org>  Fri, 09 Feb 2018 22:13:32 +0100
