=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --list-missing --with kf5,aqbanking

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DCMAKE_SKIP_RPATH=ON -DBUILD_TESTING=OFF

override_dh_auto_install:
	dh_auto_install
	# remove development stuff
	rm -rf debian/tmp/usr/include/
	find debian/tmp -name '*.so' -type l -delete

override_dh_strip:
	dh_strip --dbgsym-migration='kmymoney-dbg (<< 4.8.0-1~)'

.PHONY: override_dh_auto_test
