=== debian/watch ===
version=4
https://download.kde.org/stable/kmymoney/([\d\.]+)/src/kmymoney-([\d\.]+)\.tar\.xz
